Legacy (v0)
Update a company page
Update the details of a specific company page.
PUT
/
api
/
company
/
pages
/
{id}
Update a company page
curl --request PUT \
--url https://api.fluid.app/api/company/pages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": {
"title": "Scranton Branch Holiday Catalog 2026",
"publish": true
}
}
'import requests
url = "https://api.fluid.app/api/company/pages/{id}"
payload = { "page": {
"title": "Scranton Branch Holiday Catalog 2026",
"publish": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: {title: 'Scranton Branch Holiday Catalog 2026', publish: true}})
};
fetch('https://api.fluid.app/api/company/pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/pages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'page' => [
'title' => 'Scranton Branch Holiday Catalog 2026',
'publish' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/pages/{id}"
payload := strings.NewReader("{\n \"page\": {\n \"title\": \"Scranton Branch Holiday Catalog 2026\",\n \"publish\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/company/pages/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": {\n \"title\": \"Scranton Branch Holiday Catalog 2026\",\n \"publish\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/pages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": {\n \"title\": \"Scranton Branch Holiday Catalog 2026\",\n \"publish\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 30871,
"active": true,
"application_theme_template": null,
"countries": [],
"display_tag": null,
"email": null,
"html_code": "<section class=\"hero\"><h1>Scranton Branch Holiday Catalog</h1><p>Paper, mugs, and beet boxes for every desk.</p></section>",
"image_url": "https://cdn.fluid.app/dunder-mifflin/pages/holiday-catalog.jpg",
"json": null,
"label": null,
"leads": 2,
"metadata": {
"campaign": "holiday-2026",
"owner": "pam-beesly"
},
"open_graph": null,
"preview_url": "https://shop.dundermifflin.com/home/pages/holiday-catalog?preview=true",
"prompts": [],
"prompts_enabled": false,
"publish": true,
"search_engine_optimizer": {
"id": 7715,
"title": "Holiday Catalog | Dunder Mifflin",
"description": "Holiday paper and gift picks from the Scranton branch.",
"image_url": null,
"image_path": null,
"block_crawler": false
},
"share_link": "https://shop.dundermifflin.com/s/9a1c4f",
"show_on_site_search": true,
"slug": "holiday-catalog",
"source": "code",
"stripped_description": "Holiday paper and gift picks from the Scranton branch.",
"title": "Scranton Branch Holiday Catalog 2026",
"use_search_engine": true,
"views": 41,
"meta": {
"request_id": "5b0f7e2c-3d41-4a8e-9c6b-7f21d8e4a913",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Response
Success
A company page.
⌘I
Update a company page
curl --request PUT \
--url https://api.fluid.app/api/company/pages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": {
"title": "Scranton Branch Holiday Catalog 2026",
"publish": true
}
}
'import requests
url = "https://api.fluid.app/api/company/pages/{id}"
payload = { "page": {
"title": "Scranton Branch Holiday Catalog 2026",
"publish": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: {title: 'Scranton Branch Holiday Catalog 2026', publish: true}})
};
fetch('https://api.fluid.app/api/company/pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/pages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'page' => [
'title' => 'Scranton Branch Holiday Catalog 2026',
'publish' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/pages/{id}"
payload := strings.NewReader("{\n \"page\": {\n \"title\": \"Scranton Branch Holiday Catalog 2026\",\n \"publish\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/company/pages/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": {\n \"title\": \"Scranton Branch Holiday Catalog 2026\",\n \"publish\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/pages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": {\n \"title\": \"Scranton Branch Holiday Catalog 2026\",\n \"publish\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 30871,
"active": true,
"application_theme_template": null,
"countries": [],
"display_tag": null,
"email": null,
"html_code": "<section class=\"hero\"><h1>Scranton Branch Holiday Catalog</h1><p>Paper, mugs, and beet boxes for every desk.</p></section>",
"image_url": "https://cdn.fluid.app/dunder-mifflin/pages/holiday-catalog.jpg",
"json": null,
"label": null,
"leads": 2,
"metadata": {
"campaign": "holiday-2026",
"owner": "pam-beesly"
},
"open_graph": null,
"preview_url": "https://shop.dundermifflin.com/home/pages/holiday-catalog?preview=true",
"prompts": [],
"prompts_enabled": false,
"publish": true,
"search_engine_optimizer": {
"id": 7715,
"title": "Holiday Catalog | Dunder Mifflin",
"description": "Holiday paper and gift picks from the Scranton branch.",
"image_url": null,
"image_path": null,
"block_crawler": false
},
"share_link": "https://shop.dundermifflin.com/s/9a1c4f",
"show_on_site_search": true,
"slug": "holiday-catalog",
"source": "code",
"stripped_description": "Holiday paper and gift picks from the Scranton branch.",
"title": "Scranton Branch Holiday Catalog 2026",
"use_search_engine": true,
"views": 41,
"meta": {
"request_id": "5b0f7e2c-3d41-4a8e-9c6b-7f21d8e4a913",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}